SystemOrganization addCategory: 'OrbeonPersistenceApi_Tests'!

TestCase subclass: #OrbeonPersistenceRestLayerTest
	instanceVariableNames: 'restClient'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonPersistenceApi_Tests'!

OrbeonPersistenceRestLayerTest subclass: #OrbeonPersistenceRestLayer2016_2_Test
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonPersistenceApi_Tests'!

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 11:17'!
testFormBuilderNew! !

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 11:17'!
testFormBuilderSummary! !

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 11:16'!
testPublishForm! !

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/18/2016 08:54'!
testSaveFormDefinition
"	<put>
	<path: '/crud/orbeon/builder/data/{id}/data.xml/?valid={aBoolean}'>
"
	| result id |

	id := (self getOrbeonApplicationClass getLatestSavedDefinition: 'test-2' app: 'agesic' ifNone: [nil]) ifNotNil: [:def | def id] ifNil: [UUID new asString] .

	result := restClient 
					put: 'http://192.168.29.142:8787/orbeon-gemstone-api/crud/orbeon/builder/data/', id, '/data.xml/?valid=true' 
					contents: OrbeonFormDefinitionTemplate form_test_2.

	self assert: true! !

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 11:16'!
testSaveFormInstance! !

!OrbeonPersistenceRestLayer2016_2_Test methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 11:16'!
testUnpublishForm! !

!OrbeonPersistenceRestLayerTest methodsFor: 'Accessing' stamp: 'BrunoBB 12/17/2016 08:19'!
restClient
	^restClient! !

!OrbeonPersistenceRestLayerTest methodsFor: 'Updating' stamp: 'BrunoBB 12/17/2016 08:19'!
restClient: newValue
	restClient := newValue! !

!OrbeonPersistenceRestLayerTest methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 08:19'!
setUp

	super setUp.

	restClient := ZnClient new.! !

!OrbeonPersistenceRestLayerTest methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 08:19'!
tearDown

	super tearDown.

	restClient close.! !

!OrbeonPersistenceRestLayerTest methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 08:19'!
testServiceBuilderDataID
 "/crud/orbeon/builder/data/{1}/data.xml"
	| result |

	result := restClient get: 'http://192.168.29.142:8787/orbeon-gemstone-api/crud/orbeon/builder/data/31c47749d8149acdbff83f16333d527e9ad21844/data.xml'.


	self assert: true! !

!OrbeonPersistenceRestLayerTest methodsFor: 'other' stamp: 'BrunoBB 12/17/2016 08:19'!
testServiceBuilderDataIDvalid
 "/crud/orbeon/builder/data/{1}/data.xml/?valid={2}"
	| result |

	result := restClient get: 'http://192.168.29.142:8787/orbeon-gemstone-api/crud/orbeon/builder/data/31c47749d8149acdbff83f16333d527e9ad21844/data.xml'.
	restClient request setBody: 'xml definition'.


	self assert: true! !
